Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

File format upgrade dialog #1236

Merged
merged 4 commits into from Dec 17, 2019
Merged

File format upgrade dialog #1236

merged 4 commits into from Dec 17, 2019

Conversation

@kraenhansen
Copy link
Member

kraenhansen commented Dec 17, 2019

This solves #8 by adding a dialog prompting the user to choose if they want to upgrade (optionally making a backup first).

upgrade-prompt
upgrade-backup-saved

Will fail if a file exists at the location that the backup would be stored:
upgrade-file-exists

title: 'Realm file needs an upgrade',
message: 'The Realm file stores data in an outdated format',
detail:
'This file needs to be upgraded to a newer file format before it can be opened. Would you like a backup of the file, before performing an irreversible upgrade of the file?',

This comment has been minimized.

Copy link
@bmunkholm

bmunkholm Dec 17, 2019

Contributor
Suggested change
'This file needs to be upgraded to a newer file format before it can be opened. Would you like a backup of the file, before performing an irreversible upgrade of the file?',
'This file needs to be upgraded to a newer file format before it can be opened by this version of Studio. Would you like a backup of the file, before performing an irreversible upgrade of the file?',

This comment has been minimized.

Copy link
@bmunkholm

bmunkholm Dec 17, 2019

Contributor

Not sure if we should inform about the option to simply open the file in an older version of Studio. Or is that too obvious?

This comment has been minimized.

Copy link
@kraenhansen

kraenhansen Dec 17, 2019

Author Member

We don't necessarily release compatibility versions for every version of the file format - and it's not trivial for a user to determine which compatibility version they should download (or where they are downloaded from). I think we can safely assume that the vast majority of users wouldn't be able to download a version which is compatible with a particular the file format version.

I suggest not adding " by this version of Studio." as the message is already somewhat long and a slightly complicated to understand.

@kraenhansen kraenhansen force-pushed the kh/file-format-upgrade-dialog branch from dc984f1 to c59b608 Dec 17, 2019
@kraenhansen kraenhansen self-assigned this Dec 17, 2019
@kraenhansen kraenhansen merged commit 9cdbfdd into master Dec 17, 2019
1 check passed
1 check passed
continuous-integration/jenkins/pr-head This commit looks good
Details
@kraenhansen kraenhansen deleted the kh/file-format-upgrade-dialog branch Dec 17, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants
You can’t perform that action at this time.